Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xmlbuilder
Class XMLAttribute

    java.lang.Object
      com.ejie.r01f.xmlbuilder.XMLAttribute

All Implemented Interfaces:
  java.io.Serializable

public class XMLAttribute
extends java.lang.Object
implements java.io.Serializable

XMLAttribute.java

See Also:
  Serialized Form

Constructor Summary
`XMLAttribute()` Creates new XMLAttribute
`XMLAttribute(java.lang.String attrName, java.lang.String attrValue)` Constructor

Method Summary
`java.lang.String` | `getAttributeName()`
`java.lang.String` | `getAttributeValue()`
`boolean` | `isEmpty()`
`void` | `setAttributeName(java.lang.String newName)` Establece el nombre del atributo
`void` | `setAttributeValue(java.lang.String newValue)` Establece el nuevo valor del atributo
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLAttribute

    public XMLAttribute()

  Creates new XMLAttribute

### XMLAttribute

    public XMLAttribute(java.lang.String attrName,
                        java.lang.String attrValue)

  Constructor

Parameters:
  `attrName` -
  `attrValue` -

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns:
    el nombre del atributo

### setAttributeName

    public void setAttributeName(java.lang.String newName)

  Establece el nombre del atributo

  Parameters:
    `newName` -

### getAttributeValue

    public java.lang.String getAttributeValue()

  Returns:
    el valor del atributo

### setAttributeValue

    public void setAttributeValue(java.lang.String newValue)

  Establece el nuevo valor del atributo

  Parameters:
    `newValue` -

### isEmpty

    public boolean isEmpty()

  Returns:
    true si está vacio

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD